import request from '@/config/axios'

export const getImportList = (params) => {
  return request.post({ url: `/lideeyunji/i18n/page`, params })
}
//导出Excel表数据
export const exportExcelData = (data) => {
  return request.download({ url: `/lideeyunji/i18n/export`, method: 'POST', data })
}

//导入的数据
export const uploadExcelData = (data) => {
  return request.upload({ url: `/lideeyunji/i18n/import`, data })
}

//查询导入进度
export const getImportProgress = (batchCode) => {
  return request.get({ url: `/lideeyunji/i18n/import/progress?batchCode=${batchCode}` })
}

//上传文件
export const uploadFile = (data) => {
  return request.upload({ url: '/infra/file/lideeyunji/upload', data: data })
}
